Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.common.locale
Class AbstractEMFFormsLocaleProvider

    java.lang.Object
      org.eclipse.emfforms.spi.common.locale.AbstractEMFFormsLocaleProvider

All Implemented Interfaces:
  EMFFormsLocaleProvider

Direct Known Subclasses:
  DefaultLocaleProvider

    public abstract class AbstractEMFFormsLocaleProvider

extends Object
implements EMFFormsLocaleProvider

Abstract implementation of the EMF Forms provider for `Locales`.

Author:
  Eugen Neufeld

Constructor Summary
`AbstractEMFFormsLocaleProvider()`

Method Summary
`void` | `addEMFFormsLocaleChangeListener(EMFFormsLocaleChangeListener listener)` Add an EMFFormsLocaleChangeListener that gets notified about locale changes.
`void` | `removeEMFFormsLocaleChangeListener(EMFFormsLocaleChangeListener listener)` Remove an EMFFormsLocaleChangeListener.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleProvider
`getLocale`

Constructor Detail

### AbstractEMFFormsLocaleProvider

    public AbstractEMFFormsLocaleProvider()

Method Detail

### addEMFFormsLocaleChangeListener

    public void addEMFFormsLocaleChangeListener(EMFFormsLocaleChangeListener listener)

  Add an EMFFormsLocaleChangeListener that gets notified about locale changes.

  Specified by:
    `addEMFFormsLocaleChangeListener` in interface `EMFFormsLocaleProvider`
  Parameters:
    `listener` - The EMFFormsLocaleChangeListener to add
  See Also:
    `EMFFormsLocaleProvider.addEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)`

### removeEMFFormsLocaleChangeListener

    public void removeEMFFormsLocaleChangeListener(EMFFormsLocaleChangeListener listener)

  Remove an EMFFormsLocaleChangeListener.

  Specified by:
    `removeEMFFormsLocaleChangeListener` in interface `EMFFormsLocaleProvider`
  Parameters:
    `listener` - The EMFFormsLocaleChangeListener to remove
  See Also:
    `EMFFormsLocaleProvider.removeEMFFormsLocaleChangeListener(org.eclipse.emfforms.spi.common.locale.EMFFormsLocaleChangeListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.